numz = [1  1];
denz = [1  -1.5  0.5];
zeta = input('Enter the desired damping ratio zeta = ');
Gz = tf(numz, denz, .1)             % Plant transfer function
figure(1), rlocus(numz, denz),     % Plot root locus
zgrid(zeta ,1)                     % Add unit circle to root locus
[K, p] = rlocfind(numz, denz)      % Puts a crosshair, when clicked at a location gain K and poles are returned
Tz = feedback(K*Gz, 1)             % Closed-loop sampled data transfer function
[numT, denT] = tfdata(Tz, 'v');    % Returns the num and den of the closed-loop SDTF
figure(2), ltiview('step', Tz)     % Step response

