Kvu=2; Kvc = 20;  K =10;
num=8;
den=[1  5  4  0];
disp('Unompensated open-loop transfer function')
GU = tf(num*K, den)             % Open-loop transfer function with K =10
w=logspace(-3,2, 100);          % specified range for w 10^-3 to 10^2
bode(GU, w); grid on            % Returns the Bode magnitude and phase plot
hold on, plot([10^-3  100], [-29 -29])
disp('Uncompensated GM, PM with K =10')
[Gm, Pm, wpc, wgc]=margin(GU)   % Returns GM, PH, w_gc, and w_pc
disp('Uncompensated closed-loop Transfer function')
TU=feedback(GU, 1)
ltiview('step', TU)
z0=0.06; p0=0.0021;             % Controller's zero and pole
Kc= p0/z0;
disp('Phase-lag controller transfer function')
Gc=tf(Kc*[1  z0], [1  p0])      % Controller transfer function
disp('Compensated open-loop Transfer function')
Gcomp=series(GU, Gc)            % Compensated open-loop transfer function
figure(2)
bode(Gcomp, w); grid on
disp('Compensated GM and PM')
[Gm, Pm, wpc, wgc]=margin(Gcomp)
disp('Compensated closed-loop Transfer function')
Tc=feedback(Gcomp, 1)
ltiview('step', Tc)