A = [0  1; -0.15  0.8]; 
B = [0;  1];
C = [0.25  0.1];
D = 0;

disp('Zero-input response or natural response')
x0 = [1; 0];
figure(1), dinitial(A, B, C, D, x0), grid  % Step response plot
[yk, x] = dinitial(A, B, C, D, x0,5)       % Returns zero-input responses y, x1, x2 for 5 points

disp('Zero-state response or steady-state response')

figure(2), dstep(A, B, C, D,1), grid        % Step response plot
[yk, x] = dstep(A, B, C, D, 1,  5)          % Returns step responses y, x1, x2 for 5 points

