num = 25;
den = [1  25  0];
Gp = tf(num, den)                                             % Plant transfer function
T = 0.1;                                                               %  Sampling time
[numz, denz] = c2dm(num, den, T, 'zoh');           % open-loop sampled-data num and den 
Gz = tf(numz, denz, 0.1)                     % Open-loop sampled-data transfer function   

for K = 1:0.1:80
    Tz = feedback(K*Gz, 1);                % Closed-loop sampled data transfer function
     [numT, denT] = tfdata(Tz, 'v');  % Returns the num and den of the closed-loop SDTF
     r = roots(denT);                             % Roots of the sampled-data char. Eq.
     rmag = max(abs(r));                          % Absolute value of the largest roots
     if rmag >= 1;               % If magnitude of the largest root >= 1 beark the loop
        break
     end
end   
 
K                                                 %  Value of K for marginal stability
disp(['        Roots         Magnitude'])
disp([r  abs(r)])                             