K =40;
num=1;
den=[1  2  0];
GU = tf(num*K, den);            % Open-loop transfer function with K =10
w=logspace(-3,3, 100);          % specified range for w 10^-3 to 10^2
bode(GU, w); grid on            % Returns the Bode magnitude and phase plot
hold on
plot([10^-3  100], [-4.8, -4.8])
disp('Uncompensated GM, PM with K =10')
[Gm, Pm, wpc, wgc]=margin(GU)   % Returns GM, PH, w_gc, and w_pc
z0=4.8; p0=14.4;             % Controller's zero and pole
Kc= p0/z0;
Gc=tf(Kc*[1  z0], [1  p0])      % Controller transfer function
Gcomp=series(GU, Gc)            % Compensated open-loop transfer function
figure(2)
bode(Gcomp, w); grid on
disp('Compensated GM and PM')
[Gm, Pm, wpc, wgc]=margin(Gcomp)